Runtime

## org.eclipse.gmf.runtime.common.ui.services.dnd.drag
Class SelectionDragAdapter

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.dnd.drag.TransferDragSourceAdapter
          org.eclipse.gmf.runtime.common.ui.services.dnd.drag.SelectionDragAdapter

All Implemented Interfaces:
  DragSourceListener, java.util.EventListener, ITransferDragSourceListener, SWTEventListener

public class SelectionDragAdapter
extends TransferDragSourceAdapter

Concrete implementation of the transfer drag source adapter for the selection transfer type.

Constructor Summary
`SelectionDragAdapter(ITransferAgent transferAgent)` Constructor for SelectionDragAdapter.

Method Summary
`void` `dragFinished(DragSourceEvent event)`
`void` `dragSetData(DragSourceEvent event)`
`void` `dragStart(DragSourceEvent event)`

Methods inherited from class org.eclipse.gmf.runtime.common.ui.services.dnd.drag.TransferDragSourceAdapter
`getContext, getListeners, getTransferAgent, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectionDragAdapter

    public SelectionDragAdapter(ITransferAgent transferAgent)

  Constructor for SelectionDragAdapter.

Parameters:
  `transferAgent` - ITransferAgent to use

Method Detail

### dragStart

    public void dragStart(DragSourceEvent event)

  Specified by:
    `dragStart` in interface `DragSourceListener`
  Overrides:
    `dragStart` in class `TransferDragSourceAdapter`

### dragSetData

    public void dragSetData(DragSourceEvent event)

  Specified by:
    `dragSetData` in interface `DragSourceListener`
  Overrides:
    `dragSetData` in class `TransferDragSourceAdapter`

### dragFinished

    public void dragFinished(DragSourceEvent event)

  Specified by:
    `dragFinished` in interface `DragSourceListener`
  Overrides:
    `dragFinished` in class `TransferDragSourceAdapter`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.